Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158807

Summary: forkbomb-like behaviour observed with Evolution spam checking
Product: [Fedora] Fedora Reporter: Dave Malcolm <dmalcolm>
Component: evolutionAssignee: Matthew Barnes <mbarnes>
Status: CLOSED WORKSFORME QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 4CC: jdennis, mattdm, zuirdj
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-25 14:04:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Dave Malcolm 2005-05-25 22:09:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050504 Fedora/1.0.3-4 Firefox/1.0.3

Description of problem:
From this report on fedora-test-list:
https://www.redhat.com/archives/fedora-test-list/2005-May/msg01313.html

"The other problem I was seeing on a regular basis was all the resources
of the machine being consumed such that I could not get to an alternate
console, run ps or top, the machine was dragged to its knees. I'm pretty
sure evolution in concert with spamd (filter incoming mail checkbox) was
the culprit, but given how hard it was to do anything when the problem
occurred I only have anecdotal evidence. I was often forced to resort to
using the reset button. I suspect it was some type of fork bombing with
spamd where it got caught in tight loop launching processes that would
immediately die, but that's only speculation. I have not seen this
problem since turning off the filter option on incoming mail.

I've talked to David Malcom about this and he encouraged me to file a
bugzilla, but it so hard to collect any information or see a pattern
that I wasn't sure I saw the value in a bug report that simply asserted
"evolution is doing something bad" ;-) "

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Run Evolution
2. In Edit->Settings->Mail Preferences->Junk, enable the "Check incoming mail for junk" checkbox
  

Additional info:

Comment 1 Dave Malcolm 2005-05-25 22:10:15 UTC
John: please can you confirm I got the details correct, and confirm the version
of evolution and spamassassin that you're seeing this with.  Thanks.

Comment 2 Matthew Barnes 2007-01-09 18:42:08 UTC
Is this problem still present in Fedora Core 6?

Comment 3 John Dennis 2007-01-11 15:51:08 UTC
I have not seen this behavior in a while

Comment 4 Christian Iseli 2007-01-20 00:25:27 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 5 Matthew Miller 2007-04-06 15:23:54 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.


Comment 6 John Dennis 2007-05-25 14:04:04 UTC
I have not seen this behavior in a long time, it's safe to close this.